## EntangleImage EntangleImage |

## Functions

EntangleImage * | entangle_image_new_file ()
EntangleImage * | entangle_image_new_pixbuf ()
const char * | entangle_image_get_filename ()
time_t | entangle_image_get_last_modified ()
off_t | entangle_image_get_file_size ()
gboolean | entangle_image_delete ()
GdkPixbuf * | entangle_image_get_pixbuf ()
void | entangle_image_set_pixbuf ()
GExiv2Metadata * | entangle_image_get_metadata ()
void | entangle_image_set_metadata ()

## Properties

gchar * | filename | Read / Write / Construct Only
GExiv2Metadata * | metadata | Read / Write
GdkPixbuf * | pixbuf | Read / Write

## Object Hierarchy

        GObject
        ╰── EntangleImage

## Description

## Functions

### entangle_image_new_file ()

    EntangleImage *
    entangle_image_new_file (const char *filename);

Create a new image instance for the image stored in `filename` .

#### Parameters

filename | the filename of the image. | [transfer none]

#### Returns

the new image.

[transfer full]

### entangle_image_new_pixbuf ()

    EntangleImage *
    entangle_image_new_pixbuf (GdkPixbuf *pixbuf);

Create a new image instance for the image data stored in `pixbuf`

#### Parameters

pixbuf | the pixbuf instance. | [transfer none]

#### Returns

the new image.

[transfer full]

### entangle_image_get_filename ()

    const char *
    entangle_image_get_filename (EntangleImage *image);

Get the filename associated with the image, if it has one.

#### Parameters

image | the image instance. | [transfer none]

#### Returns

the filename or NULL.

[transfer none]

### entangle_image_get_last_modified ()

    time_t
    entangle_image_get_last_modified (EntangleImage *image);

Get the time at which the image was last modified, if it is backed by a file on disk

#### Parameters

image | the image instance. | [transfer none]

#### Returns

the last modification time in seconds since epoch, or 0

### entangle_image_get_file_size ()

    off_t
    entangle_image_get_file_size (EntangleImage *image);

Get the size of the image on disk, if it is backed by a file on disk

#### Parameters

image | the image instance. | [transfer none]

#### Returns

the size in bytes, or 0

### entangle_image_delete ()

    gboolean
    entangle_image_delete (EntangleImage *image,
                           GError **error);

### entangle_image_get_pixbuf ()

    GdkPixbuf *
    entangle_image_get_pixbuf (EntangleImage *image);

Get the pixbuf associated with the image, if it is available

#### Parameters

image | the image instance. | [transfer none]

#### Returns

the image pixbuf or NULL.

[transfer none]

### entangle_image_set_pixbuf ()

    void
    entangle_image_set_pixbuf (EntangleImage *image,
                               GdkPixbuf *pixbuf);

Set the pixbuf associated with the image

#### Parameters

image | the image instance. | [transfer none]
pixbuf | the new pixbuf. | [transfer none]

### entangle_image_get_metadata ()

    GExiv2Metadata *
    entangle_image_get_metadata (EntangleImage *image);

Get the metadata associated with the image, if it is available

#### Parameters

image | the image instance. | [transfer none]

#### Returns

the image metadata or NULL.

[transfer none]

### entangle_image_set_metadata ()

    void
    entangle_image_set_metadata (EntangleImage *image,
                                 GExiv2Metadata *metadata);

Set the metadata associated with the image

#### Parameters

image | the image instance. | [transfer none]
metadata | the new metadata. | [transfer none]

## Types and Values

## Property Details

### The `“filename”` property

      “filename”                 gchar *

Full path to image file.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“metadata”` property

      “metadata”                 GExiv2Metadata *

Image metadata.

Flags: Read / Write

### The `“pixbuf”` property

      “pixbuf”                   GdkPixbuf *

Image pixbuf.

Flags: Read / Write